package test.web;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class SessionTest  extends HttpServlet{
	
	public void doGet(HttpServletRequest request , HttpServletResponse response )throws IOException{
		
		 response.setContentType("text/html;charset=euc-kr");
		 PrintWriter out = response.getWriter();
		
		HttpSession session = request.getSession();

		out.println("Session ID : "+session.getId()+"<br>");
		out.println("Creation Time : "+ new Date(session.getCreationTime())+"<br>");
		out.println("Last Accessed Time : "+ new Date(session.getLastAccessedTime())+"<br>");
		out.println("Max Inactive Interval : "+ session.getMaxInactiveInterval()+"<br>");

		if(session.isNew()){
				out.print("NEW");
		}
		session.invalidate();

	}
}

